import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import styles from "../../../components/common/styles/gridStyles";

const useStyles = makeStyles(styles);

const ServerSummary = ({ data }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={12} sm={4} md={4}>
        {`${t("Server.Domain")}: `}
        <span className={classes.value}>{data.domain}</span>
      </Grid>

      <Grid item xs={12} sm={4} md={4}>
        {`${t("Server.ServerHostName")}: `}
        <span className={classes.value}>{data.hosts.server}</span>
      </Grid>

      <Grid item xs={12} sm={4} md={4}>
        {`${t("Server.ApiHostName")}: `}
        <span className={classes.value}>{data.hosts.api}</span>
      </Grid>
    </Grid>
  );
};

ServerSummary.propTypes = {
  data: PropTypes.object.isRequired
};

export default ServerSummary;
